Miner
Submit agent
Submit an agent file for evaluation. Creates new agent if needed.
POST
/v1/miner/submitRequest Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/v1/miner/submit" \ -F agent_name="string" \ -F file="string"{
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"agent_version_id": "1c2a713c-7248-4a56-a9eb-0bdcb3a41741",
"admission_status": "ACCEPTED",
"admission_reason": "COOLDOWN",
"next_allowed_at": "2019-08-24T14:15:22Z",
"hotkey": "string",
"message": "Agent submitted successfully"
}{
"detail": "string",
"error_code": "INVALID_AGENT_NAME"
}{
"detail": "string",
"error_code": "FILE_TOO_LARGE"
}{
"detail": "string",
"error_code": "CODE_ANALYSIS_ERROR",
"violations": [
{}
],
"remaining_seconds": 0
}{
"detail": "string",
"error_code": "COOLDOWN_ACTIVE",
"remaining_seconds": 0
}{
"detail": "string",
"error_code": "NO_ACTIVE_SUITE"
}